summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorKazumasa Mitsunari <kazumasa_mitsunari_za@mail.toyota.co.jp>2017-08-29 20:58:47 +0900
committerKazumasa Mitsunari <kazumasa_mitsunari_za@mail.toyota.co.jp>2017-08-29 20:58:47 +0900
commit2e602801b372b0b68111316b89f567213e3ea378 (patch)
treec7d53d765baba6d1cf2435eb51d913fd6abe6c11 /test
parentf743c3428f41b8d127e538ea8a6505a0c882cdb2 (diff)
Add sound manager initial source code
First version 2017/08/29 SoundManager consists of main 4 parts 1. doc Document of sound manager and audio manager architecture This describes application sequence Please open ApplicationGuide.md with browser 2. include Contains API of libsoundmanager LibSoundmanager API is going to be modified, so please don't use for now Update will be done in near future 3. soundmanager_binding Contains soundmanager binding. This is the service midleware If installing this, soundmanager is automatically launched by AppFW(systemd) 4. sample Contains sample applications. These applications follow the AudioManager sequence and using soundmanager binding Change-Id: I75b6c5c652e1dc00b39bc499a2ee6bf1e2aeaf6d Signed-off-by: Kazumasa Mitsunari <kazumasa_mitsunari_za@mail.toyota.co.jp>
Diffstat (limited to 'test')
-rwxr-xr-xtest/call-sm-binding-method_test.sh17
-rwxr-xr-xtest/dbus-call-connect-test.sh12
-rwxr-xr-xtest/dbus-call-test.sh17
-rwxr-xr-xtest/sm-binding-test-gdb.sh21
-rwxr-xr-xtest/sm-binding-test.sh21
5 files changed, 88 insertions, 0 deletions
diff --git a/test/call-sm-binding-method_test.sh b/test/call-sm-binding-method_test.sh
new file mode 100755
index 0000000..e3f1139
--- /dev/null
+++ b/test/call-sm-binding-method_test.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+echo "please call method after launch afb-client-demo"
+echo " # ./sm-binding-test.sh"
+echo "To get soundmanager api "
+echo "example) monitor get {\"apis\":[\"monitor\"]}"
+echo "example) soundmanager disconnect {\"mainConnectionID\":1}"
+port=12345
+token=123456
+if test $1;then
+port=$1
+fi
+if test $2; then
+token=$2
+fi
+afb-client-demo ws://localhost:${port}/api?token=${token}
+
diff --git a/test/dbus-call-connect-test.sh b/test/dbus-call-connect-test.sh
new file mode 100755
index 0000000..882afae
--- /dev/null
+++ b/test/dbus-call-connect-test.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+echo How to call connect and disconnect of AudioManager
+echo Connect
+echo dbus-send --system --dest=org.genivi.audiomanager --type=method_call \
+ --print-reply /org/genivi/audiomanager/commandinterface \
+ org.genivi.audiomanager.commandinterface.Connect uint16:xxx uint16:xxx
+echo
+echo Disconnect
+echo dbus-send --system --dest=org.genivi.audiomanager --type=method_call \
+ --print-reply /org/genivi/audiomanager/commandinterface \
+ org.genivi.audiomanager.commandinterface.Disconnect uint16:xxx
+
diff --git a/test/dbus-call-test.sh b/test/dbus-call-test.sh
new file mode 100755
index 0000000..f20af35
--- /dev/null
+++ b/test/dbus-call-test.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+echo "This is the dbus call test to check main source/sink/connection"
+
+echo Get List Main Sources
+dbus-send --system --dest=org.genivi.audiomanager --type=method_call \
+ --print-reply /org/genivi/audiomanager/commandinterface \
+ org.genivi.audiomanager.commandinterface.GetListMainSources
+
+echo Get List Main Sinks
+dbus-send --system --dest=org.genivi.audiomanager --type=method_call \
+ --print-reply /org/genivi/audiomanager/commandinterface \
+ org.genivi.audiomanager.commandinterface.GetListMainSinks
+
+echo Get List Main Connections
+dbus-send --system --dest=org.genivi.audiomanager --type=method_call \
+ --print-reply /org/genivi/audiomanager/commandinterface \
+ org.genivi.audiomanager.commandinterface.GetListMainConnections \ No newline at end of file
diff --git a/test/sm-binding-test-gdb.sh b/test/sm-binding-test-gdb.sh
new file mode 100755
index 0000000..f9a58a3
--- /dev/null
+++ b/test/sm-binding-test-gdb.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+echo "launch soundmanager binder test"
+cmd=/usr/bin/afb-daemon
+libsm="soundmanager-binding.so"
+port="12345"
+token="123456"
+if test $1; then
+ port=$1
+fi
+if test $2; then
+ token=$2
+fi
+libpath="/lib/soundmanager"
+arg="--verbose --verbose --verbose --port=${port} --token=${token} --binding=${libpath}/${libsm}"
+echo "gdb $cmd $arg"
+gdb $cmd
+echo $! $?
+if(test $! -gt 0); then
+ echo "success to launch"
+fi
diff --git a/test/sm-binding-test.sh b/test/sm-binding-test.sh
new file mode 100755
index 0000000..a159fd7
--- /dev/null
+++ b/test/sm-binding-test.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+echo "launch soundmanager binder test"
+cmd=/usr/bin/afb-daemon
+libsm="soundmanager-binding.so"
+port="12345"
+token="123456"
+if test $1; then
+ port=$1
+fi
+if test $2; then
+ token=$2
+fi
+libpath="/lib/soundmanager"
+arg="--verbose --verbose --verbose --port=${port} --token=${token} --binding=${libpath}/${libsm}"
+echo "$cmd $arg"
+$cmd $arg &
+echo $! $?
+if(test $! -gt 0); then
+ echo "success to launch"
+fi